import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { CreateAssessmentEvaluationDto } from '../dto/create-assessment-evaluation.dto';
import { UpdateAssessmentEvaluationDto } from '../dto/update-assessment-evaluation.dto';
import { QuestionDifficultyLevel } from 'src/assessment-evaluation/entities/entities-question-manager/question-difficulty-level.entity';
import { QuestionType } from 'src/assessment-evaluation/entities/entities-question-manager/question-type.entity';

@Injectable()
export class AssessmentEvaluationService {
  constructor(
    @InjectRepository(QuestionType)
    private questionTypeRepository: Repository<QuestionType>,
    @InjectRepository(QuestionDifficultyLevel)
    private questionDifficultyLevelRepository: Repository<QuestionDifficultyLevel>,
  ) {}
  create(createAssessmentEvaluationDto: CreateAssessmentEvaluationDto) {
    return 'This action adds a new assessmentEvaluation';
  }

  findAll() {
    return `This action returns all assessmentEvaluation`;
  }

  findOne(id: number) {
    return `This action returns a #${id} assessmentEvaluation`;
  }

  update(
    id: number,
    updateAssessmentEvaluationDto: UpdateAssessmentEvaluationDto,
  ) {
    return `This action updates a #${id} assessmentEvaluation`;
  }

  remove(id: number) {
    return `This action removes a #${id} assessmentEvaluation`;
  }
}
